### Enumeration

# GIRepository Direction

since: 2.80

#### Declaration

    enum GIRepository.Direction

#### Description [src]

The direction of a `GIArgInfo`.

Available since: 2.80

#### Members

`GI_DIRECTION_IN`

  ‘in’ argument.

  - Value: `0`
  - Available since: 2.80
`GI_DIRECTION_OUT`

  ‘out’ argument.

  - Value: `1`
  - Available since: 2.80
`GI_DIRECTION_INOUT`

  ‘in and out’ argument.

  - Value: `2`
  - Available since: 2.80